Skip to main content
POST
/
environment
/
{environmentId}
/
cleanFailedJobs
Clean failed jobs within an environment
curl --request POST \
  --url https://api.qovery.com/environment/{environmentId}/cleanFailedJobs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "job_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
'
{
  "clean_job_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "clean_kubernetes_jobs": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://qovery-update-mcp-query.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

environmentId
string
required

Body

application/json
job_ids
string<uuid>[]

Response

200 - application/json

OK

clean_job_ids
string<uuid>[]
clean_kubernetes_jobs
string[]